Skip to main content
`Ctrl`+`K`

# NEPProblemType

Determines the type of the nonlinear eigenproblem.

## Synopsis

    typedef enum { NEP_GENERAL  = 1,
                   NEP_RATIONAL = 2
                 } NEPProblemType;

## Values

- `NEP_GENERAL` - no particular structure

- `NEP_RATIONAL` - problem defined in split form with all \(f_i\) rational

## Note

Currently, the `NEP_RATIONAL` case is only used in `NEPNLEIGS` to determine the singularities automatically.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetProblemType()`, `NEPGetProblemType()`

## Level

intermediate

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages